#ifndef ADDDLFREE_H
#define ADDDLFREE_H
#include "ftpaccess.h"
#include <qpushbutton.h>
#include <kurlrequesterdlg.h>

class AddDlFree : public KURLRequesterDlg {
	Q_OBJECT
public:
	AddDlFree(bool dir=false, QWidget *parent=0, char *wname=0);
	~AddDlFree();
public slots:
	void slotOk();
signals:
	void dlFreeAdded(bool, QString);
private:
	bool		isDir;
};
#endif
